[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Cluster-devel] [PATCH] Fix gnbd/server build warning



On Wed, Aug 29, 2007 at 09:24:53AM +0200, Fabio Massimo Di Nitto wrote:
> 
> gcc -Wall -I/usr/src/ubuntu/mypkgs/rhcluster/cluster/config
> -DRELEASE_VERSION=\"DEVEL.1188196448\" -D_FILE_OFFSET_BITS=64
> -D_LARGEFILE_SOURCE -I/usr/src/ubuntu/mypkgs/rhcluster/cluster/gnbd-kernel/src
> -I/usr/src/ubuntu/mypkgs/rhcluster/cluster/cman/lib -I../include -I../utils
> -I/usr/include -c -o gserv.o gserv.c
> gserv.c:15:1: warning: "__USE_XOPEN2K" redefined
> In file included from /usr/include/unistd.h:26,
>                  from gserv.c:13:
> /usr/include/features.h:218:1: warning: this is the location of the previous
> definition
> 
> the patch in attachment will fix the warning and retain backwards compatibility.
> 
> Please apply or ACK.

Ack.


-- 
Lon Hohberger - Software Engineer - Red Hat, Inc.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]